<div class="auth-main">
  <div class="auth-block">
    <div *ngIf="emailValid">
      <h1>Email id Verified</h1>
      <p class="text-center">Please Login to and fill up your basic Bio-details to complete the registration process</p>
      <br />
      <div align="center">
        <button class="btn btn-default btn-auth" (click)="redirectToLoginPage()">Login</button>
      </div>
    </div>
    <div *ngIf="verificationLinkExpired">
      <h1>Verification Link Expired</h1>
      <p class="text-center">Verification link seems to be expired. Please Login to Generate new Verification Link</p>
      <br />
      <div align="center">
        <button class="btn btn-default btn-auth" (click)="redirectToLoginPage()">Login</button>
      </div>
    </div>
    <div *ngIf="alreadyVerified">
      <h1>Already Verified ! </h1>
      <p class="text-center">Your account seems to be already verified</p>
      <br />
      <div align="center">
        <button class="btn btn-default btn-auth" (click)="redirectToLoginPage()">Login</button>
      </div>
    </div>
    <div *ngIf="invalidLink">
      <h1>Bad Verification Link</h1>
      <p class="text-center">The email verification Link provided by you seems to be invalid</p>
    </div>
    
  </div>
</div>